/* $Id$

This file is part of libmspdatafile
Copyright © 2006  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/
#ifndef MSP_DATAFILE_INPUT_H_
#define MSP_DATAFILE_INPUT_H_

#include <istream>

namespace Msp {
namespace DataFile {

class Input
{   
public:
	Input(std::istream &); 
	int get();
	int peek();
	unsigned get_line_number() const { return line; }
	operator bool() const { return in; }
private:
	std::istream &in;
	unsigned line;
	int next;
};  

} // namespace DataFile
} // namespace Msp

#endif
